# pytket-qiskit

[`pytket`](https://cqcl.github.io/pytket) is a Python module for interfacing
with CQC t|ket>, a set of quantum programming tools.

IBM's [Qiskit](https://qiskit.org) is an open-source framework for quantum
computation, ranging from high-level algorithms to low-level circuit
representations, simulation and access to the [IBM Q
Experience](https://www.research.ibm.com/ibm-q/) devices.

`pytket-qiskit` is an extension to `pytket` that allows `pytket` circuits to be
run on IBM backends and simulators, as well as conversion to and from Qiskit
representations.

## Getting started

`pytket-qiskit` is available for Python 3.6, 3.7 and 3.8, on Linux and MacOS. To
install, run:

```pip install pytket-qiskit```

## LICENCE

Copyright 2019-2020 Cambridge Quantum Computing

Licensed under a Non-Commercial Use Software Licence (the "Licence"); you may
not use this product except in compliance with the Licence. You may obtain a
copy of the Licence in the LICENCE file accompanying these documents or view
them [here](https://cqcl.github.io/pytket/build/html/licence.html).

Unless required by applicable law or agreed to in writing, software distributed
under the Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
CONDITIONS OF ANY KIND, either express or implied. See the Licence for the
specific language governing permissions and limitations under the Licence, but
note it is strictly for non-commercial use.
